Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 266018 - mail-client/evolution-2.26.3: Icons don't appear with KDE-4.2
Summary: mail-client/evolution-2.26.3: Icons don't appear with KDE-4.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-13 15:30 UTC by Trevor Bowen
Modified: 2010-10-29 12:38 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---
tampakrap: Bugday+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trevor Bowen 2009-04-13 15:30:13 UTC
Many evolution icons do not appear by default using KDE.  For KDE-3.5 this was fairly easily resolved by specifying an icon theme for gtk2 to use.  See these links for workaround:

http://bugs.gentoo.org/show_bug.cgi?id=262964
http://www.trevorbowen.com/2009/02/12/missing-icons-in-evolution-on-gentoo

However, after switching to KDE-4.2, I found that many of Evolution's icons are once again missing (i.e., have white box with red X's).  I have tried various icon themes, and the 'oxygen' theme seems the most complete; however, several icons are still missing, (specifically, Inbox, 'Send and Receive', and Outbox).

I have experienced this problem with evolution on both KDE-4.2.1 and KDE-4.2.2.
Comment 1 Timo Gurr (RETIRED) gentoo-dev 2009-04-14 14:25:35 UTC
1. rm ~/.gtkrc-2.0
2. emerge gtk-engines
3. cp /usr/share/themes/Clearlooks/gtk-2.0/gtkrc /etc/gtk-2.0/gtkrc
4. open /etc/gtk-2.0/gtkrc and add gtk-fallback-icon-theme = "gnome" as the first line.
Comment 2 Trevor Bowen 2009-04-14 15:09:24 UTC
That worked like a charm!  Thanks, Timo!!!

Should some package be updated to include this procedure?  Should evolution, gtk, or gtk-engines be updated to include these steps?  Or, is this already included and somehow suffered system rot on my box?

It seems to me the icons should not be broken out of the box.  I'll be happy to file another bug, if you think it best.
Comment 3 Tomáš Chvátal (RETIRED) gentoo-dev 2009-04-14 15:33:52 UTC
@tgurr
Hm can we do it somehow automaticaly?
Comment 4 Christophe PEREZ 2009-06-10 19:55:43 UTC
did the trick for me, but I can't consider this as normal.
Comment 5 Paul McDermott 2009-09-20 09:24:45 UTC
Same problem for me, but this time on XFCE-4.6. Timo's commands in comment #1 did not work for me.
Comment 6 Enrique Domínguez 2009-10-14 19:44:32 UTC
(In reply to comment #5)
> Same problem for me, but this time on XFCE-4.6. Timo's commands in comment #1
> did not work for me.
> 
Same here with gnome-light desktop (evolution-2.24.5)
emerge --info:
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.1, glibc-2.9_p20081201-r2, 2.6.25-gentoo-r7 i686)
=================================================================
System uname: Linux-2.6.25-gentoo-r7-i686-Intel-R-_Pentium-R-_4_CPU_2.66GHz-with-gentoo-1.12.11.1
Timestamp of tree: Thu, 08 Oct 2009 02:15:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -mmmx -msse -msse2 -m32"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/fax /usr/share/config /var/lib/hsqldb /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -pipe -mmmx -msse -msse2 -m32"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--load-average=4 -j"
FEATURES="ccache collision-protect distcc distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo "
LANG="C"
LDFLAGS="-Wl,-O1"
LINGUAS="en es es_ES"
MAKEOPTS="-j11"
PKGDIR="/usr/local/portage/binpackages"
PORTAGE_COMPRESS="lzma"
PORTAGE_COMPRESS_FLAGS="-9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acpi alsa apic berkdb cli cracklib cups custom-cflags custom-optimization dbus doc gdbm gnome gpm gtk hal iconv isdnlog mmx mmxext modules mudflap ncurses nls nptl nptlonly nvidia opengl openmp pcre perl pppd python readline reflection session spl sse sse2 ssl sysfs tcpd threads unicode x86 xorg xvmc zlib" ALSA_CARDS="ens1371" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en es es_ES" SANE_BACKENDS="epson" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Paul McDermott 2009-10-21 19:45:45 UTC
Same problem also with mail-client/evolution-2.26.3
Comment 8 David W Noon 2009-10-22 00:26:16 UTC
(In reply to comment #7)
> Same problem also with mail-client/evolution-2.26.3

The main cause of this is, in my experience, a change to one or more files on /etc/env.d, usually 30xdg-data-local and/or 90xdg-data-base. I normally fix it by modifying the former file, so that the line:
  XDG_DATA_DIRS='/usr/local/share'
becomes:
  XDG_DATA_DIRS='/usr/local/share:/usr/share'
and then running env-update. After logout and login, things usually work well again.
Comment 9 Enrique Domínguez 2009-10-23 09:12:57 UTC
(In reply to comment #8)
> The main cause of this is, in my experience, a change to one or more files on
> /etc/env.d, usually 30xdg-data-local and/or 90xdg-data-base. I normally fix it
> by modifying the former file, so that the line:
>   XDG_DATA_DIRS='/usr/local/share'
> becomes:
>   XDG_DATA_DIRS='/usr/local/share:/usr/share'
> and then running env-update. After logout and login, things usually work well
> again.
> 
/etc/env.d/30xdg-data-local becoming XDG_DATA_DIRS='/usr/local/share:/usr/share' worked here, thanks David
Comment 10 Christian Jumpertz 2010-01-20 18:27:31 UTC
I had this issue for a while. Its fixed now if i launch the evolution over kickoff menu bar, but using a terminal to start evolution still brakes, the icons.

Things i tried.. 

1.
Set the XDG_DATA_DIRS with /etc/env.d/30xdg_data_local

$ echo $XDG_DATA_DIRS
/usr/share:/usr/local/share:/usr/share/gdm

2.
a. # rm -r ~/.gtkrc-2.0
b. # cp /usr/share/themes/Clearlooks/gtk-2.0/gtkrc /etc/gtk-2.0/
c. # emerge -1 x11-themes/gtk-engines
d. Add the Line: gtk-fallback-icon-theme = "gnome"
to the begin of /etc/gtk-2.0/gtkrc

3.
And i add the gtk-fallback-icon-theme = "gnome" to the 
~/.kde4/share/config/gtkrc-2.0

I am not sure, but think that the last trick bring the icons back (via vaunch via menu bar). I restart one time and re-login into KDE4 while iam searching for a fix.
Comment 11 Andreas K. Hüttel gentoo-dev 2010-10-12 19:46:55 UTC
Summary mentions kde-4.2 - does this still happen with more recent kde versions?
Comment 12 Enrique Domínguez 2010-10-12 20:54:08 UTC
(In reply to comment #11)
> Summary mentions kde-4.2 - does this still happen with more recent kde
> versions?
> 
kde 4.4 and gnome 2.30 working here :)
Comment 13 Andreas K. Hüttel gentoo-dev 2010-10-12 20:58:16 UTC
OK. Considering that kde-4.2 was, err, ages ago, I'll resolve this bug. Should the problem reoccur, just reopen please.
Comment 14 Enrique Domínguez 2010-10-29 12:38:18 UTC
(In reply to comment #13)
Nice, thanks a lot